#include <linux/types.h>

int ngcp_mod_init(void);
void ngcp_mod_exit(void);
long ngcp_bounce(long, long, long, long);
void ngcp_lock(unsigned int);
void ngcp_unlock(unsigned int);
void *ngcp_malloc(size_t size, gfp_t gfp);
void ngcp_free(void *p);
void *ngcp_vmalloc(size_t size, gfp_t flags);
const char *ngcp_file_name(struct file *f);

extern void *ngcp_bouncer;

extern unsigned long ngcp_c_off_p;
extern unsigned long ngcp_c_off_c;
extern unsigned long ngcp_c_off_t;

extern spinlock_t ngcp_locks[2];
